# debug.cpp File Reference

Handling of printing debug messages. More...

`#include "stdafx.h"`
`#include <stdio.h>`
`#include <stdarg.h>`
`#include "console_func.h"`
`#include "debug.h"`
`#include "string_func.h"`
`#include "network/core/core.h"`
`#include "fileio_func.h"`

Go to the source code of this file.

## Data Structures
struct | DebugLevel
## Defines
#define | DEBUG_LEVEL(x) { #x, &_debug_##x##_level }
## Functions
static void | debug_print (const char *dbg, const char *buf)
void CDECL | debug (const char *dbg,...)
void | SetDebugString (const char *s)
const char * | GetDebugString ()
| Print out the current debug-level Just return a string with the values of all the debug categorites.
## Variables
int | _debug_ai_level
int | _debug_driver_level
int | _debug_grf_level
int | _debug_map_level
int | _debug_misc_level
int | _debug_ms_level
int | _debug_net_level
int | _debug_sprite_level
int | _debug_oldloader_level
int | _debug_ntp_level
int | _debug_npf_level
int | _debug_yapf_level
int | _debug_freetype_level
int | _debug_sl_level
int | _debug_station_level
int | _debug_gamelog_level
int | _debug_desync_level
static const DebugLevel | debug_level []

## Detailed Description

Handling of printing debug messages.

Definition in file debug.cpp.

## Function Documentation

const char* GetDebugString | ( |  | ) |

Print out the current debug-level Just return a string with the values of all the debug categorites.

Returns:
  string with debug-levels

Definition at line 162 of file debug.cpp.

References endof, lastof, and strecat().

## Variable Documentation

const DebugLevel debug_level[]`[static]`

Initial value:

     {
      DEBUG_LEVEL(ai),
      DEBUG_LEVEL(driver),
      DEBUG_LEVEL(grf),
      DEBUG_LEVEL(map),
      DEBUG_LEVEL(misc),
      DEBUG_LEVEL(ms),
      DEBUG_LEVEL(net),
      DEBUG_LEVEL(sprite),
      DEBUG_LEVEL(oldloader),
      DEBUG_LEVEL(ntp),
      DEBUG_LEVEL(npf),
      DEBUG_LEVEL(yapf),
      DEBUG_LEVEL(freetype),
      DEBUG_LEVEL(sl),
      DEBUG_LEVEL(station),
      DEBUG_LEVEL(gamelog),
      DEBUG_LEVEL(desync),
      }

Definition at line 43 of file debug.cpp.